#
# spec file for package python-django-picklefield
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-django-picklefield
Version:        1.0.0
Release:        lp150.1.3
Summary:        Pickled object field for Django
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/gintas/django-picklefield
Source:         https://files.pythonhosted.org/packages/source/d/django-picklefield/django-picklefield-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Django}
%endif
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
django-picklefield provides an implementation of a pickled object field.
Such fields can contain any picklable objects.

The implementation is taken and adopted from Django snippet #1694
<http://www.djangosnippets.org/snippets/1694/> by Taavi Taijala, which is in
turn based on Django snippet #513 <http://www.djangosnippets.org/snippets/513/>
by Oliver Beattie.

%prep
%setup -q -n django-picklefield-%{version}

%build
%python_build

%install
%python_install

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Aug 31 2017 toddrme2178@gmail.com
- Update to version 1.0.0
  * No changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Mon May  4 2015 benoit.monin@gmx.fr
- update to version 0.3.1:
  * Favor the built in json module (thanks to Simon Charette).
- point the source URL to pypi
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Apr 14 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two versions are not the same
- Remove unneeded macros
- Added python buildrequires and requires since the package does not
  work properly without them on openSUSE <= 12.2
* Fri Apr 12 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Dec 10 2012 alexandre@exatati.com.br
- Update to 0.3.0:
  * Python 3 support (thanks to Rafal Stozek).
* Mon Apr 23 2012 alexandre@exatati.com.br
- Update to 0.2.1:
  * Use __slots__ to optimize _ObjectWrapper (thanks to Simon
    Charette).
* Wed Mar 14 2012 saschpe@suse.de
- Use upstream tarball
- Simplified macro usage
* Tue Feb 21 2012 alexandre@exatati.com.br
- Update to 0.2.0:
  * Allow pickling of subclasses of django.db.models.Model (thanks to
  Simon Charette)
- Regenerate spec file with py2pack.
* Tue Nov 16 2010 alexandre@exatati.com.br
- Update to 0.1.9.
* Mon Nov  8 2010 alexandre@exatati.com.br
- Update to 0.1.8;
- Bzip2 source file.
* Tue Apr 13 2010 alexandre@exatati.com.br
- Update to 0.1.6.
* Mon Apr  5 2010 alexandre@exatati.com.br
- Update to 0.1.5.
* Tue Mar 30 2010 alexandre@exatati.com.br
- Update to 0.1.4;
- Spec file cleaned with spec-cleaner.
* Sun Mar 28 2010 alexandre@exatati.com.br
- Update to 0.1.3.
* Sun Mar 28 2010 alexandre@exatati.com.br
- Update to 0.1.2.
* Fri Oct  9 2009 alexandre@exatati.com.br
- Initial package (0.1) for openSUSE.
